<?php

namespace App;

use Illuminate\Database\Eloquent\Model;

class RequisicionDetalle extends Model
{
    protected $table = "requisicion_detalle";
    protected $fillable = ["cantidad", "costo", "descripcion", "estado", "idPartida", "idPresupuestoDetalle", "idRequisicion", "idUnidad"];
    protected $with = ['unidad', 'presupuestoDetalle', 'presupuestoDetalle.presupuesto', 'presupuestoDetalle.presupuesto.accion'];

    public $timestamps = false;

    public function unidad(){
    	return $this->hasOne('App\UnidadMedida', 'id', 'idUnidad');
    }

    public function presupuestoDetalle(){
    	return $this->hasOne('App\PresupuestoDetalle', 'id', 'idPresupuestoDetalle');
    }
}
